#################################################################
# PPP  Sample Configuration File
# Originally written by Toshiharu OHNO
# Simplified 5/14/1999 by wself@cdrom.com
#
# See /usr/share/examples/ppp/ for some examples
#
# $FreeBSD: src/etc/ppp/ppp.conf,v 1.8 2001/06/21 15:42:26 brian Exp $
#################################################################

default:
 set log Phase Chat Filter IPCP tun command
 ident user-ppp VERSION (built COMPILATIONDATE)

 # Ensure that "device" references the correct serial port
 # for your modem. (cuaa0 = COM1, cuaa1 = COM2)
 #
 set device /dev/modem

 set speed 115200
 set dial "ABORT BUSY ABORT NO\\sCARRIER TIMEOUT 5 \
           \"\" AT OK-AT-OK ATZ OK ATE1Q0S37=9 OK \\dATDT\\T TIMEOUT 320 CONNECT"
 set hangup "\"\" AT OK-AT-OK ATZ OK ATS0=1 OK"
 set timeout 300			# 5 minute idle timer
 disable dns				# don't request DNS (for resolv.conf)
 set login
 set ifaddr 10.0.0.1/0 10.0.0.2/0 255.255.255.0 0.0.0.0
 add default HISADDR			# Add a (sticky) default route
 set reconnect 3 10			# If the line drops, retry up to 10
					# times, 3 seconds apart
 set redial 30 3			# Try the initial dial up to 3 times,
					# 30 seconds apart.
 set server /var/run/ppp/backchannel "" 0177

 # Filtering rules to avoid keeping the connection alive for junk
 #
 set filter alive 0 permit tcp estab	# Established TCP traffic
 set filter alive 1 deny 0/0 0/0

 # Avoid dialing up for no good reason
 #
 set filter dial 0 deny tcp finrst              # Badly closed TCP channels
 set filter dial 1 deny tcp estab               # Residual TCP traffic
 set filter dial 2 permit 0 0

 set filter in  0 deny igmp		# IGMP queries
 set filter in  1 permit tcp dst eq ssh syn # Permit inbound SSH
 set filter in  2 permit tcp src eq ssh syn # Permit outbound SSH SYN replies
 set filter in  3 deny tcp syn		# Deny all other inbound connections
 set filter in  4 permit 0/0 0/0

!include /etc/ppp/ppp.conf.local
